// Decompiled by Jad v1.5.8e. Copyright 2001 Pavel Kouznetsov.
// Jad home page: http://www.geocities.com/kpdus/jad.html
// Decompiler options: packimports(3) deadcode 
// Source File Name:   SunExecutionContextParser.java

package com.symantec.itools.lang;

import java.io.BufferedReader;
import java.io.StringReader;

// Referenced classes of package com.symantec.itools.lang:
//            ExecutionContextParser

public class SunExecutionContextParser extends ExecutionContextParser
{

    protected SunExecutionContextParser()
    {
    }

    public void parse(String s, int i)
    {
        BufferedReader bufferedreader = new BufferedReader(new StringReader(s));
        i += 2;
        try
        {
            if(bufferedreader.readLine() == null)
                return;
            for(int j = 0; j < i; j++)
                if(bufferedreader.readLine() == null)
                    return;

            String s1 = bufferedreader.readLine().trim();
            s1 = s1.substring(3, s1.length() - 1);
            int l = s1.indexOf(':');
            int k = s1.indexOf('(');
            if(l != -1)
            {
                super.line = (new Integer(s1.substring(l + 1))).intValue();
                super.file = s1.substring(k + 1, l);
            }
            s1 = s1.substring(0, k);
            k = s1.lastIndexOf('.');
            super.method = s1.substring(k + 1);
            super.clazz = s1.substring(0, k);
            return;
        }
        catch(Throwable _ex)
        {
            return;
        }
    }
}
